Paycose Docs
Fee
PATCH/fees/{fee_id}

Update Fee

Body — UpdateFeeDTO.

Request

Example

curl -X PATCH 'https://api.paycose.com/api/v1/app1/platform/wallet/fees/{{fee_id}}' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -d '{
  "active": true,
  "description": "",
  "display_name": "",
  "fixed_amount": 0,
  "percentage": 0.0,
  "labels": [
    "<string>"
  ]
}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Body

NameTypeValue
activebooleantrue
descriptionstring
display_namestring
fixed_amountnumber0
percentagenumber0
labelsarray[1]
{
  "active": true,
  "description": "",
  "display_name": "",
  "fixed_amount": 0,
  "percentage": 0.0,
  "labels": [
    "<string>"
  ]
}

Responses

400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page